<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SengGuipin</name>
    </assembly>
    <members>
        <member name="T:SengGuipin.clsCookie">
            <summary>
            常用Cookie操作
            </summary>
        </member>
        <member name="F:SengGuipin.clsCookie._CkeName">
            <summary>
            CookieName
            </summary>
        </member>
        <member name="M:SengGuipin.clsCookie.AddCkeSession(System.String,System.String)">
            <summary>
            给CkeSession赋值
            </summary>
            <param name="key">健名</param>
            <param name="Value">值</param>
        </member>
        <member name="M:SengGuipin.clsCookie.writeCookie">
            <summary>
            寫入Cookie
            </summary>
        </member>
        <member name="M:SengGuipin.clsCookie.writeCookie(System.Boolean)">
            <summary>
            寫入Cookie
            </summary>
            <param name="Boolcolse">cookie是否關閉瀏覽器即失效</param>
        </member>
        <member name="M:SengGuipin.clsCookie.updateCookie(System.String,System.String)">
            <summary>
            修改某一字健的值
            </summary>
            <param name="strName">需要修改的字健名稱</param>
            <param name="strValue">修改后的值</param>
        </member>
        <member name="M:SengGuipin.clsCookie.insertCookie(System.String,System.String)">
            <summary>
            新增某一字健
            </summary>
            <param name="strName">字健名稱</param>
            <param name="strValue">對應的值</param>
        </member>
        <member name="M:SengGuipin.clsCookie.readCookie(System.String)">
            <summary>
            讀取Cookie某一字健的值
            </summary>
            <param name="strName">需要返回Cookie字健的名稱</param>
        </member>
        <member name="M:SengGuipin.clsCookie.boolCookie">
            <summary>
            查檢Cookie是否存在
            </summary>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCookie.deleteCookie">
            <summary>
            刪除Cookie
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.CkeName">
            <summary>
            Cookie Name
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.expires">
            <summary>
            Cookie 有效時間 [以天為單位]
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.domain">
            <summary>
            有效 范圍
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.arrFile">
            <summary>
            Cookie字健名稱數組
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.arrValue">
            <summary>
            Cookie字健對應值數組
            </summary>
        </member>
        <member name="P:SengGuipin.clsCookie.CkeSession">
            <summary>
            把Cookie转化成NameValueCollection
            </summary>
        </member>
        <member name="T:SengGuipin.clsFileOperations">
            <summary>
            IO文件操作
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.WriteFileMethod(System.String[],System.String[],System.String,System.String,System.String)">
            <summary>
            生成HMTL文件的方法
            </summary>
            <param name="rep_h">原文件中需要被替换的字符</param>
            <param name="rep_b">新文件中要替换的字符</param>
            <param name="mappath_y">原文件或模板文件，有后缀[绝对路径]</param>
            <param name="mappath_x">新的文件路径[绝对路径]</param>
            <param name="wenjian">新的文件名称</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.WriteFileMethod(System.String[],System.String[],System.String,System.String)">
            <summary>
            生成HMTL文件的方法
            </summary>
            <param name="rep_h">原文件中需要被替换的字符</param>
            <param name="rep_b">新文件中要替换的字符</param>
            <param name="strFileContent">文件内容</param>
            <param name="wenjian">新的文件名称（包括路径）</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.newsFile(System.String,System.String,System.String)">
            <summary>
            新建文件
            <param name="Foldername">文件名（包括文件路径）</param>
            <param name="content">文件里面的内容</param>
            <param name="strCode">文件编码</param>
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.MoveFile(System.String,System.String)">
            <summary>
            文件移动，并提供一个新的文件名
            </summary>
            <param name="Filename"></param>
            <param name="newFileName"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.writeFile(System.String,System.String)">
            <summary>
            读取文件,返回被读取文件的所有内容
            <param name="Filename">文件名（包括文件路径）</param>
            <param name="strCode">文件编码</param>
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.DeleteFile(System.String)">
            <summary>
            删除文件
            <param name="Filename">文件名（包括文件路径）</param>
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.CopyFile(System.String,System.String)">
            <summary>
            拷贝文件
            </summary>
            <param name="FileName">需要拷贝的文件夹名称</param>
            <param name="TargetName">目标文件夹名称</param>
        </member>
        <member name="M:SengGuipin.clsFileOperations.newFolder(System.String)">
            <summary>
            新建文件夹
            <param name="Filename">文件夹名称（包括文件夹路径）</param>
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.DeleteFolder(System.String)">
            <summary>
            删除文件夹
            <param name="Filename">文件夹名称（包括文件夹路径）</param>
            </summary>
        </member>
        <member name="M:SengGuipin.clsFileOperations.CopyFolder(System.String,System.String)">
            <summary>
            移动文件夹
            </summary>
            <param name="FileName">需要拷贝的文件夹名称</param>
            <param name="TargetName">目标文件夹名称</param>
        </member>
        <member name="M:SengGuipin.clsFileOperations.ShowFolder(System.String)">
            <summary>
            读取文件夹下的所有文件和文件夹
            表名showFolder
            文件或者文件夹名称 FileName
            父级文件夹名称 ParentName
            文件夹或者文件创建时间 CreationTime
            文件夹或者文件最后修改时间 LastWriteTime
            文件夹或者文件最后访问时间 LastAccessTime
            文件扩展名 Extension
            文件大小 Length
            </summary>
            <param name="math">文件路径</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.ShowFolder(System.String,System.Boolean)">
            <summary>
            读取文件夹下的所有文件和文件夹[隐藏除外]
            表名showFolder
            文件或者文件夹名称 FileName
            父级文件夹名称 ParentName
            文件夹或者文件创建时间 CreationTime
            文件夹或者文件最后修改时间 LastWriteTime
            文件夹或者文件最后访问时间 LastAccessTime
            文件扩展名 Extension
            文件大小 Length
            </summary>
            <param name="math">文件路径</param>
            <param name="YinCang">隐藏［隐藏的文件和文件夹］</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.GetFiles(System.String,System.String)">
            <summary>
            搜索文件夹下的所有文件和文件夹[隐藏除外]
            表名showFolder
            文件或者文件夹名称 FileName
            父级文件夹名称 ParentName
            文件夹或者文件创建时间 CreationTime
            文件夹或者文件最后修改时间 LastWriteTime
            文件夹或者文件最后访问时间 LastAccessTime
            文件扩展名 Extension
            文件大小 Length
            </summary>
            <param name="math">文件路径</param>
            <param name="strFile">搜索的文件</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsFileOperations.UpWjl(System.String,System.Boolean)">
            <summary>
            文件流下载
            </summary>
            <param name="math">文件路径</param>
            <param name="bl">true表示以附件的形式打开,false表示在页面中打开</param>
        </member>
        <member name="T:SengGuipin.image.shuiyin">
            <summary>
            图片水印
            </summary>
        </member>
        <member name="M:SengGuipin.image.shuiyin.imgSy(System.String,System.String)">
            <summary>
            添加图片水印[返回1为正常，其它为异常]
            </summary>
            <param name="path">原图片地址[绝对路径]</param>
            <param name="syImg">现原图地址[绝对路径]</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.image.shuiyin.fontSy(System.String,System.String,System.Drawing.Color,System.Int32,System.Int32,System.Single)">
            <summary>
            添加文字水印[返回1为正常，其它为异常]
            </summary>
            <param name="path">原图片地址[绝对路径]</param>
            <param name="syFont">水印文字</param>
            <param name="color">文字颜色</param>
            <param name="syY">Y轴坐标</param>
            <param name="syX">X轴坐标</param>
            <param name="emSize">文字大小</param>
            <returns></returns>
        </member>
        <member name="T:SengGuipin.clsService">
            <summary>
            SQL数据库语法基本操作
            </summary>
        </member>
        <member name="M:SengGuipin.clsService.InsertTable(System.String[],System.String[],System.String)">
            <summary>
            新增内容
            </summary>
            <param name="strField">传入字段数组</param>
            <param name="strValue">传入对应的字段值数组</param>
            <param name="TableName">传入数据表名称</param>
        </member>
        <member name="M:SengGuipin.clsService.InsertTable(System.String[],System.String[],System.String,System.Boolean)">
            <summary>
            新增内容，返回Sql语句
            </summary>
            <param name="strField">传入字段数组</param>
            <param name="strValue">传入对应的字段值数组</param>
            <param name="TableName">传入数据表名称</param>
            <param name="returnSql">是否返回Sql语句</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsService.UpdateTable(System.String[],System.String[],System.String,System.String)">
            <summary>
            修改内容
            </summary>
            <param name="strField">传入字段数组</param>
            <param name="strValue">传入对应的字段值数组</param>
            <param name="strWhere">传入修改的条件</param>
            <param name="TableName">传入数据表名称</param>
        </member>
        <member name="M:SengGuipin.clsService.UpdateTable(System.String[],System.String[],System.String,System.String,System.Boolean)">
            <summary>
            修改内容，返回Sql语句
            </summary>
            <param name="strField">传入字段数组</param>
            <param name="strValue">传入对应的字段值数组</param>
            <param name="strWhere">传入修改的条件</param>
            <param name="TableName">传入数据表名称</param>
            <param name="returnSql">是否返回Sql语句</param>
        </member>
        <member name="M:SengGuipin.clsService.DeleteTable(System.String,System.String,System.String)">
            <summary>
            删除内容基于IN语法
            </summary>
            <param name="strFile">字段名</param>
            <param name="intId">传入需要删除的Key,IN语法</param>
            <param name="TableName">传入数据表名称</param>
        </member>
        <member name="M:SengGuipin.clsService.DeleteTable(System.String,System.String,System.String,System.Boolean)">
            <summary>
            删除内容基于IN语法，返回Sql语句
            </summary>
            <param name="strFile">字段名</param>
            <param name="intId">传入需要删除的Key,IN语法</param>
            <param name="TableName">传入数据表名称</param>
            <param name="returnSql">是否返回Sql语句</param>
        </member>
        <member name="M:SengGuipin.clsService.DeleteTable(System.String)">
            <summary>
            刪除內容（通用）
            </summary>
            <param name="TableName">傳入數據表名稱(后面需帶入WHERE語句)</param>
        </member>
        <member name="M:SengGuipin.clsService.DeleteTable(System.String,System.Boolean)">
            <summary>
            刪除內容（通用），返回Sql语句
            </summary>
            <param name="TableName">傳入數據表名稱(后面需帶入WHERE語句)</param>
            <param name="returnSql">是否返回Sql语句</param>
        </member>
        <member name="M:SengGuipin.clsService.GetTable(System.String,System.String,System.String)">
            <summary>
            列表无分页
            </summary>
            <param name="strTableName">传入存在内存条的表名</param>
            <param name="TableName">传入数据表名称，后面可带WHERE或者ORDER</param>
            <param name="strField">传入需要返回的字段，可为*[可以在字段前面加入TOP语法]</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsService.GetTable(System.String,System.Int32,System.Int32,System.String[])">
            <summary>
            通用分页代码
            </summary>
            <param name="TableName">传入数据库名称[where [order by]]</param>
            <param name="intPageValue">传入每页显示多少条数据</param>
            <param name="Coding">传入当前第几页</param>
            <param name="arrField">传入需要返回的字段</param>
            <returns></returns>
        </member>
        <member name="T:SengGuipin.clsJavaScript">
            <summary>
            JavaScript 类库
            </summary>
        </member>
        <member name="M:SengGuipin.clsJavaScript.Show(System.String)">
            <summary>
            提示信息
            </summary>
            <param name="msg">提示信息</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.htmlShow(System.String)">
            <summary>
            提示信息
            </summary>
            <param name="msg"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ShowConfirm(System.Web.UI.WebControls.WebControl,System.String)">
            
            <summary>
            控件点击 消息确认提示框
            </summary>
            <param name="Control">当前页面指针，一般为this</param>
            <param name="msg">提示信息</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ShowGoHistory(System.String)">
            
            <summary>
            显示消息提示对话框，并回到前一页面
            </summary>
            <param name="msg">提示信息</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.HtmlShowGoHistory(System.String)">
            <summary>
            显示消息提示对话框，并回到前一页面
            </summary>
            <param name="msg"></param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ShowAndRedirect(System.String,System.String)">
            
            <summary>
            显示消息提示对话框，并进行页面跳转
            </summary>
            <param name="msg">提示信息</param>
            <param name="url">跳转的目标URL</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.HtmlShowAndRedirect(System.String,System.String)">
            <summary>
            显示消息提示对话框，并进行页面跳转
            </summary>
            <param name="msg"></param>
            <param name="url"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ShowModelessDialog(System.String,System.String,System.String,System.String)">
            <summary>
            window.ShowModelessDialog语法 .net3.5AJAX专用
            </summary>
            <param name="sURL">窗体URL</param>
            <param name="vArguments">【可以为''】可选参数，类型：变体。用来向对话框传递参数。传递的参数类型不限，包括数组等。对话框通过window.dialogArguments来取得传递进来的参数。</param>
            <param name="sFeatures">【可以为''】可选参数，类型：字符串。用来描述对话框的外观等信息，可以使用以下的一个或几个，用分号“;”隔开</param>
            <param name="YjId">接收返回值元件的ID号【可以为多个，请以,割开】</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ShowAndTopRedirect(System.String,System.String)">
            <summary>
            显示消息提示对话框，并进行页面跳转
            </summary>
            <param name="msg">提示信息</param>
            <param name="url">跳转的目标URL</param>
        </member>
        <member name="M:SengGuipin.clsJavaScript.ResponseScript(System.String)">
            <summary>
            输出自定义脚本信息
            </summary>
            <param name="script">输出脚本</param>
        </member>
        <member name="P:SengGuipin.clsJavaScript.page">
            <summary>
            初始化page值
            </summary>
        </member>
        <member name="T:SengGuipin.image.UpLoadImg">
            <summary>
            上传图片
            </summary>
        </member>
        <member name="F:SengGuipin.image.UpLoadImg.blWate">
            <summary>
            上传产品是否水印
            </summary>
        </member>
        <member name="F:SengGuipin.image.UpLoadImg.strWate">
            <summary>
            水印图片地址
            </summary>
        </member>
        <member name="M:SengGuipin.image.UpLoadImg.ImgType(System.Web.HttpPostedFile)">
            <summary>
            上传图片格式
            </summary>
            <param name="hpf"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.image.UpLoadImg.updateImg(System.Web.HttpPostedFile,System.String,System.Int32[])">
            <summary>
            图片上传 [大图自动增加5倍]
            </summary>
            <param name="hpf">file控件</param>
            <param name="strFileName">加个字串使文件名不重复</param>
            <param name="intWh">缩略图的的长高</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.image.UpLoadImg.updateImg(System.Web.HttpPostedFile,System.String,System.Int32[0:,0:])">
            <summary>
            图片上传
            </summary>
            <param name="hpf">file控件</param>
            <param name="strFileName">加个字串使文件名不重复</param>
            <param name="intWh">格式int[{80,200},{400,1000}];小图长宽，大图长宽</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.image.UpLoadImg.FileImg(System.String,System.Web.HttpPostedFile)">
            <summary>
            未经过处理的文件上传
            </summary>
            <param name="strFileName">文件路径以及文件名</param>
            <param name="hpf">file控件</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.image.UpLoadImg.FileImg(System.Web.HttpPostedFile)">
            <summary>
            未经过处理的图片上传
            </summary>
            <param name="hpf">file控件</param>
            <returns></returns>
        </member>
        <member name="T:SengGuipin.Acquisition.getRemoteHtml">
            <summary>
            操作远程的HTML代码
            </summary>
        </member>
        <member name="M:SengGuipin.Acquisition.getRemoteHtml.getNews(System.String,System.String[],System.String[],System.String)">
            <summary>
            获取远程的HTML代码并进行分割
            </summary>
            <param name="url">传入需要采集的网址</param>
            <param name="strTagsStart">传入被采集信息开始的标签</param>
            <param name="strTagsEnd">传入被采集信息结束的标签</param>
            <param name="pagecode">传入被采集信息的编码如utf-8</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.Acquisition.getRemoteHtml.GetHtml(System.String,System.String)">
            <summary>
            获取远程网页的内容
            </summary>
            <param name="url"></param>
            <param name="pagecode"></param>
            <returns></returns>
        </member>
        <member name="T:SengGuipin.clsCommon">
            <summary>
            常用基类
            </summary>
        </member>
        <member name="M:SengGuipin.clsCommon.FilterChinese(System.String)">
            <summary>
            选取字串中的中文字符
            </summary>
            <param name="str">传入字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.FilterNumber(System.String)">
            <summary>
            选取字串中的数字
            </summary>
            <param name="str">传入字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.FilterHTML(System.String)">
            <summary>
            过滤传入服务器内的敏感字符
            </summary>
            <param name="strHTML">传入需要过滤的字符</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.FilterHTML(System.String,System.Int32)">
            <summary>
            过滤敏感字符以及限制字符长度
            </summary>
            <param name="strHTML">传入需要过滤的字符</param>
            <param name="intCharacter">传入限定字符长度</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.CountTable(System.String,System.String,System.String,System.String)">
            <summary>
            返回总记录数
            </summary>
            <param name="strTableName">传入内存条中的表名</param>
            <param name="tableName">传入数据名名称</param>
            <param name="strWhere">传入条件</param>
            <param name="FileName">传一个字段，统计的字段</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.webFullUrl(System.String,System.String,System.String)">
            <summary>
            获取完整的文件网页路径
            </summary>
            <param name="strAtt">标签路径内的属性(如：href、src等等,需要在后面加一个=[等于号])</param>
            <param name="webUrl">网址(如：http://www.SengChuan.com/news/2010/378.htm )</param>
            <param name="strString">需要处理的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.removeString(System.String,System.String)">
            <summary>
            清除多余代码
            </summary>
            <param name="strString">需要清理的代码</param>
            <param name="strSplit">split字段</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.strMd5(System.String)">
            <summary>
            返回32MD5密碼字串
            </summary>
            <param name="strPassWord">需要加密的字串</param>
            <returns>字串兩次不規律MD5加密</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.strMd5(System.String,System.String)">
            <summary>
            返回普通32MD5密碼字串
            </summary>
            <param name="strPassWord">需要加密的字串</param>
            <param name="putong">请留空</param>
            <returns>字串兩次不規律MD5加密</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.SubString(System.String,System.Int32)">
            <summary>
            长字串缩短
            </summary>
            <param name="content">需要缩短的字串【超过长度后面加..】</param>
            <param name="length">保留的字串数</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.GetStemBranch(System.DateTime)">
            <summary>
            获取一个公历日期的农历干支纪年
            </summary>
            <param name="time">一个公历日期</param>
            <returns>农历干支纪年</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.GetYear(System.DateTime)">
            <summary>
            获取一个公历日期的农历年份
            </summary>
            <param name="time">一个公历日期</param>
            <returns>农历年份</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.GetMonth(System.DateTime)">
            <summary>
            获取一个公历日期的农历月份
            </summary>
            <param name="time">一个公历日期</param>
            <returns>农历月份</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.GetDay(System.DateTime)">
            <summary>
            获取一个公历日期的农历日
            </summary>
            <param name="time">一个公历日期</param>
            <returns>农历日</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.strDate">
            <summary>
            返回今天的日期(2011-03-04)
            </summary>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.strDate(System.DateTime)">
            <summary>
            将时间转化成固定的日期字串(格式2011-03-02)
            </summary>
            <param name="date">传入时间</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.strDate(System.Int32,System.Int32,System.Int32)">
            <summary>
            将农历返回成公历
            </summary>
            <param name="year">年</param>
            <param name="moeth">月</param>
            <param name="day">日</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.GetZyCode(System.String,System.Int32,System.String)">
            <summary>
            某字符串的注音碼
            </summary>
            <param name="strChn">漢字字符串</param>
            <param name="iZyLen">注音長度</param>
            <param name="strFlag">是注BIG5還是拼音</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.WeekOfYear(System.String)">
            <summary>
            获取该年中是第几周
            </summary>
            <param name="day">日期</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.BeginWeekDate(System.Int32,System.Int32,System.Boolean)">
            <summary>
            獲取第幾周的開始的日期[格式2011/05/57]
            </summary>
            <param name="intWeek">第幾周</param>
            <param name="Year">哪一年度[2011]</param>
            <param name="blDate">開始或者結束[true為開始false為結束]</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.DayInWeek(System.String)">
            <summary>
            日期在周幾 
            </summary>
            <param name="strDate">日期</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.DayInWeek(System.String,System.Boolean)">
            <summary>
            日期在周幾
            </summary>
            <param name="strDate">日期</param>
            <param name="blInt">返回数字</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.RtnAutoId(System.String,System.String,System.String,System.Int32,System.String,System.Int32)">
            <summary>
            求某張表中的某字段自動ID
            </summary>
            <param name="strTableName">表名</param>
            <param name="strFieldName">字段名稱</param>
            <param name="strPreFix">前綴</param>
            <param name="iLen">ID長度</param>
            <param name="strFilter">過濾條件</param>
            <param name="intNum">自定義增加值[即正常返回值再加上自定義值]</param>
            <returns>返回自動ID</returns>
        </member>
        <member name="M:SengGuipin.clsCommon.SendEmail(System.String,System.String,System.String,System.String,System.Int32,System.String,System.String,System.String,System.String)">
            <summary>
            發送郵箱
            </summary>
            <param name="strFromEmailAddrdss">發送人郵箱的服務地址 sengguipin@126.com</param>
            <param name="strFromEMailUserName">發送者用戶名 sengguipin </param>
            <param name="strFromEMailUserPsw">發送者密碼 ****</param>
            <param name="strEMailServerAddress">發送者服務器地址 smtp.163.com</param>
            <param name="port">端口号</param>
            <param name="strToEMailAddress">發送到 184286783@qq.com</param>
            <param name="strSubject">郵件標題</param>
            <param name="strBody">郵件內容,支持HTML代碼</param>
            <param name="strAppendFilePath">附件名稱，沒有請留空</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.SendSMTPEMail(System.String,System.String,System.String,System.String,System.String,System.String)">
            <summary>
            使用指定的 SMTP 服务器发送电子邮件
            </summary>
            <param name="strSmtpServer">指定的 SMTP 服务器</param>
            <param name="strFrom">发件人</param>
            <param name="strFromPass">发件人密码</param>
            <param name="strto">收件人</param>
            <param name="strSubject">主题</param>
            <param name="strBody">邮件正文</param>
        </member>
        <member name="M:SengGuipin.clsCommon.strIP">
            <summary>
            获取访客IP地址
            </summary>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsCommon.sqlValue(System.String[],System.String[])">
            <summary>
            数据库类型转换
            </summary>
            <param name="arrValue"></param>
            <param name="arrType"></param>
            <returns></returns>
        </member>
        <member name="T:SengGuipin.clsCommon.clsFenYe">
            <summary>
            分页条
            </summary>
        </member>
        <member name="M:SengGuipin.clsCommon.clsFenYe.ToString">
            <summary>
            读出数据
            </summary>
            <returns></returns>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.PageCount">
            <summary>
            每頁多少條記錄
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.intNow">
            <summary>
            當前第幾頁
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.Count">
            <summary>
            總共多少條記錄
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.Paging">
            <summary>
            总页码
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.Type">
            <summary>
            分页长度，长度为1-7，默认为5
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.FileName">
            <summary>
            文件名称不加后缀,如Default
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.Suffix">
            <summary>
            文件后缀，如.aspx
            </summary>
        </member>
        <member name="P:SengGuipin.clsCommon.clsFenYe.CsName">
            <summary>
            分页参数名称，如：pn
            </summary>
        </member>
        <!-- 对于成员“P:SengGuipin.clsCommon.clsFenYe.strList”忽略有格式错误的 XML 注释 -->
        <member name="P:SengGuipin.clsCommon.clsFenYe.BLType">
            <summary>
            是否为动态网址，默认为true
            </summary>
        </member>
        <member name="T:SengGuipin.clsSqlConn">
            <summary>
            SQL数据库链接基层构架
            </summary>
        </member>
        <member name="F:SengGuipin.clsSqlConn.SqlStr">
            <summary>
            数据库连接字串
            </summary>
        </member>
        <member name="M:SengGuipin.clsSqlConn.ExecuteSqlTran(System.Collections.Generic.List{System.String})">
            <summary>
            事务处理
            </summary>
            <param name="SQLStringList">sql语句数组</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.SQLNotReturn(System.String)">
            <summary>
            数据无返回值新增、删除、修改操作
            </summary>
            <param name="SQLStr">传入SQL语句</param>
        </member>
        <member name="M:SengGuipin.clsSqlConn.sqlPaging(System.String,System.Int32,System.Int32,System.String[],System.Boolean)">
            <summary>
            通用分页代码
            </summary>
            <param name="strSql">传入SQL语句</param>
            <param name="intPageValue">传入每页要显示多少条数据</param>
            <param name="Coding">传入当前第几页</param>
            <param name="arrField">传入需要返回的字段数组</param>
            <param name="bitDataTable">传回值是否为datatable</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.SQLReturnDataSet(System.String,System.String)">
            <summary>
            DADASET数据表
            </summary>
            <param name="SQLStr">传入SQL语句</param>
            <param name="TableName">传入储存在内存条中的表名</param>
            <returns>返回DADASET数据表</returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.Query(System.String,System.Data.SqlClient.SqlParameter[])">
            <summary>
            帶參數執行sql 返回DataSet
            </summary>
            <param name="SQLString">sql語句</param>
            <returns>DataSet</returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.RunProcedure(System.String,System.Data.IDataParameter[])">
            <summary>
            执行存储过程 无返回值
            </summary>
            <param name="storedProcName">存储过程名</param>
            <param name="parameters">参数</param>
            <returns>SqlDataReader</returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.RunProcedure(System.String,System.Data.IDataParameter[],System.String)">
            <summary>
            执行存储过程 返回DataSet
            </summary>
            <param name="storedProcName">存储过程名</param>
            <param name="parameters">参数</param>
            <param name="tableName">DataSet 的表名</param>
            <returns>DataSet</returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.RunProcedure(System.String,System.Data.IDataParameter[],System.String,System.Int32)">
            <summary>
            执行存储过程 返回DataSet
            </summary>
            <param name="storedProcName"></param>
            <param name="parameters"></param>
            <param name="tableName"></param>
            <param name="Times"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSqlConn.BuildQueryCommand(System.Data.SqlClient.SqlConnection,System.String,System.Data.IDataParameter[])">
            <summary>
            構成 SqlCommand 類
            </summary>
            <param name="connection">連接</param>
            <param name="storedProcName">存</param>
            <param name="parameters">參數</param>
            <returns>SqlCommand</returns>
        </member>
        <member name="T:SengGuipin.clsAccessConn">
            <summary>
            Access 数据库连接
            </summary>
        </member>
        <member name="F:SengGuipin.clsAccessConn.SqlStr">
            <summary>
            数据库连接字串
            </summary>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccClose">
            <summary>
            关闭数据库
            </summary>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccDispose">
            <summary>
            释放数据库资源
            </summary>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccNotReturn(System.String)">
            <summary>
            数据无返回值新增、删除、修改操作
            </summary>
            <param name="SQLStr">传入SQL语句</param>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccReturnDataSet(System.String,System.String)">
            <summary>
            DADASET数据表
            </summary>
            <param name="SQLStr">传入SQL语句</param>
            <param name="TableName">传入储存在内存条中的表名</param>
            <returns>返回DADASET数据表</returns>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccRetrunDataReader(System.String,System.String)">
            <summary>
            用数组读取数据表
            </summary>
            <param name="SQLStr">传入SQL语法</param>
            <param name="TableName">传入储存在内存条中的表名</param>
            <returns>返回二维数组</returns>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccPaging(System.String,System.Int32,System.Int32,System.String[])">
            <summary>
            回传二维数组，自定义分页，通用
            </summary>
            <param name="strSql">传入SQL语句</param>
            <param name="intPageValue">传入每页要显示多少条数据</param>
            <param name="Coding">传入当面第几页</param>
            <param name="arrField">传入需要返回的字段数组</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccPaging(System.String,System.Int32,System.Int32,System.String[],System.Boolean)">
            <summary>
            通用分页代码
            </summary>
            <param name="strSql">传入SQL语句</param>
            <param name="intPageValue">传入每页要显示多少条数据</param>
            <param name="Coding">传入当前第几页</param>
            <param name="arrField">传入需要返回的字段数组</param>
            <param name="bitDataTable">传回值是否为datatable</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsAccessConn.AccPagingID(System.String,System.Int32,System.Int32,System.String)">
            <summary>
            自定义分页基于ID
            </summary>
            <param name="strTabAndWhere">传入需要分页的数据库、条件以及排序方法</param>
            <param name="intPageValue">传入每页需要显示多少数据</param>
            <param name="Coding">传入当前第几页</param>
            <param name="TableName">传入dataset数据表名称</param>
            <returns>返回ID数据段和总共多少条数据</returns>
        </member>
        <member name="T:SengGuipin.DbType">
            <summary>
            数据库连接类型
            </summary>
        </member>
        <member name="F:SengGuipin.DbType.IsMsSql">
            <summary>
            true为mssql false为Access
            </summary>
        </member>
        <member name="T:SengGuipin.clsXml">
            <summary>
            xml 相关类
            </summary>
        </member>
        <member name="M:SengGuipin.clsXml.XMLToDataSet(System.String)">
            <summary>
            将xml对象内容字符串转换为DataSet
            </summary>
            <param name="xmlData"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsXml.XMLFileToDataSet(System.String)">
            <summary>
            将xml文件转换为DataSet
            </summary>
            <param name="xmlFile"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsXml.DataSetToXML(System.Data.DataSet)">
            <summary>
            将DataSet转换为xml对象字符串
            </summary>
            <param name="xmlDS"></param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsXml.ConvertDataSetToXMLFile(System.Data.DataSet,System.String)">
            <summary>
            将DataSet转换为xml文件
            </summary>
            <param name="xmlDS"></param>
            <param name="xmlFile"></param>
        </member>
        <member name="T:SengGuipin.clsSift">
            <summary>
            HTML过滤器
            </summary>
        </member>
        <member name="M:SengGuipin.clsSift.siftHtml(System.String)">
            <summary>
            把标签全部大写
            </summary>
            <param name="strString">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftScript(System.String)">
            <summary>
            过滤script
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftTable(System.String)">
            <summary>
            过滤Table
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftImg(System.String)">
            <summary>
            过滤图片
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftObject(System.String)">
            <summary>
            过滤Object(视频、FLASH等等）
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftHTML(System.String)">
            <summary>
            过滤尖括号字符
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftA(System.String)">
            <summary>
            去除A
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.siftPublic(System.String,System.String,System.String)">
            <summary>
            去除中间一段
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <param name="strBegin">过滤开始字串</param>
            <param name="strEnd">过滤结束字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.GetPublic(System.String,System.String,System.String)">
            <summary>
            获取指定标签中的内容[去删开始与结束字串]
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <param name="strBegin">过滤开始字串</param>
            <param name="strEnd">过滤结束字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.GetStrPublic(System.String,System.String,System.String)">
            <summary>
            获取指定标签中的内容[原始标签保留]
            </summary>
            <param name="strstring">传入需要过滤的字串</param>
            <param name="strBegin">过滤开始字串</param>
            <param name="strEnd">过滤结束字串</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.getAtt(System.String,System.String)">
            <summary>
            获得字串中指定字串的属性
            </summary>
            <param name="strstring">字串</param>
            <param name="strAtt">属性名称如src</param>
            <returns></returns>
        </member>
        <member name="M:SengGuipin.clsSift.clsLable(System.String,System.String,System.String)">
            <summary>
            获取字串中HTML标签内的代码[如获取字串中所有的img标签；保留原始标签]
            </summary>
            <param name="strstring">传入字串</param>
            <param name="strState">开始字串[如左尖括号img]</param>
            <param name="strEnd">结束字串［右尖括号］</param>
            <returns></returns>
        </member>
    </members>
</doc>
